Quassel IRC - Bug #468

auto ban mask fails on IP
01/06/2009 12:45 PM - fragalot

Status: Resolved Start date: 01/06/2009
Priority: Low Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

If you use the auto ban mask, and the users hostmask is a normal IP, you get something like:
[+b !n=EdgeX-@.85.93]

Which just seems a tad odd..

History

#1 - 01/20/2009 06:23 PM - hades
- File 0001-Modified-automatic-branch-mask-generation-for-IP-add.patch added

Fixed version available at http:/github.com/hades/quassel/tree/ipbanmask

Patch against changeset d6776e3276f91e2161836f82dfa8caebe596286d attached.

#2 - 01/20/2009 09:39 PM - EgS
- Category set to Quassel Core
- Status changed from New to Resolved

- Target version set to 0.4.0

applied hades' patch.

Files

0001-Modified-automatic-branch-mask-generation-for-IP-add.patch ~ 1.43 KB 01/20/2009
